Bug 122124 - Rebooting system as root while kmail (kontact) is open leaves a settings folder that causes kmail to crash
Summary: Rebooting system as root while kmail (kontact) is open leaves a settings fold...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash with 64 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-16 20:31 UTC by Anders E. Andersen
Modified: 2010-04-06 00:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Kmail settings folder that causes crash (576.44 KB, application/x-tbz)
2006-02-16 20:33 UTC, Anders E. Andersen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anders E. Andersen 2006-02-16 20:31:01 UTC
Version:           ukendt (using KDE 3.5.1, Debian Package 4:3.5.1-2 (testing/unstable))
Compiler:          Target: x86_64-linux-gnu
OS:                Linux (x86_64) release 2.6.15-1-amd64-k8

This has happened to me twice now. After a reboot, I am not able to start up either kontact or kmail standalone. It shows the main interface for a few tenths of a second, and then segfaults.

Moving ~/.kde/share/apps/kmail out of the way works around the crash.

I will attach a bz2 tarball of my kmail folder (renamed kmail_bck).
Comment 1 Anders E. Andersen 2006-02-16 20:33:01 UTC
Created attachment 14724 [details]
Kmail settings folder that causes crash

Let me know if you need anything else. I can try to create a backtrace if
needed.
Comment 2 Anders E. Andersen 2006-02-16 20:59:45 UTC
Ahh.. So after I install the debugging symbols package and put the faulty kmail folder back, I no longer get a crash, so I can't create a backtrace. If the problem reoccurs though I will put up a backtrace.
Comment 3 Anders E. Andersen 2006-02-16 23:47:30 UTC
Managed to provoke this error again. Here is the backtrace:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912596396096 (LWP 9727)]
[New Thread 1107310944 (LWP 9731)]
[New Thread 1098918240 (LWP 9730)]
[New Thread 1090525536 (LWP 9729)]
[New Thread 1082132832 (LWP 9728)]
0x00002aaaabdb1c45 in nanosleep () from /lib/libc.so.6
#0  0x00002aaaabdb1c45 in nanosleep () from /lib/libc.so.6
#1  0x00002aaaabdb1a64 in sleep () from /lib/libc.so.6
#2  0x00002aaaac05cb15 in KCrash::startDrKonqi ()
   from /usr/lib/libkdecore.so.4
#3  0x00002aaaac0828dc in KCrash::defaultCrashHandler ()
   from /usr/lib/libkdecore.so.4
#4  0x00002aaaabd4de90 in killpg () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()
Comment 4 Anders E. Andersen 2006-02-17 00:04:54 UTC
Here is something that might be interesting. I tried starting kontact from the console. The first time it gave two warnings about an imap path plus some other info and then kontact crashed. Then I tried that again and only got one warning and then a crash. When I tried it a third time, there was no warning and kontact started OK!

Could this be related to bug #115020 ?

Here is the console output. (The second time I used the --nocrashhandler option.. I didn't know what it would do (still don't really).)

kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
andersa@asusa6q:~$ WeaverThreadLogger: thread (ID: 1) suspended.
WeaverThreadLogger: thread (ID: 2) suspended.
WeaverThreadLogger: thread (ID: 3) suspended.
WeaverThreadLogger: thread (ID: 4) suspended.
*** KMail got signal 11 (Crashing)
KCrash: Application 'kontact' crashing...

andersa@asusa6q:~$ man kontact
Omformaterer kontact(1), vent venligst...
andersa@asusa6q:~$ kontact --nocrashhandler
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
andersa@asusa6q:~$ WeaverThreadLogger: thread (ID: 1) suspended.
WeaverThreadLogger: thread (ID: 2) suspended.
WeaverThreadLogger: thread (ID: 3) suspended.
WeaverThreadLogger: thread (ID: 4) suspended.

andersa@asusa6q:~$ kontact
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
andersa@asusa6q:~$ WeaverThreadLogger: thread (ID: 1) suspended.
WeaverThreadLogger: thread (ID: 2) suspended.
WeaverThreadLogger: thread (ID: 3) suspended.
WeaverThreadLogger: thread (ID: 4) suspended.
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
kmail: WARNING: [void KMFolderImap::setImapPath(const QString&)] ignoring empty path
Weaver dtor: destroying inventory.
WeaverThreadLogger: thread (ID: 1) destroyed.
WeaverThreadLogger: thread (ID: 2) destroyed.
WeaverThreadLogger: thread (ID: 3) destroyed.
WeaverThreadLogger: thread (ID: 4) destroyed.
Weaver dtor: done
WARNING: deleting stale lockfile /home/andersa/.kde/share/config/kpgprc.lock

andersa@asusa6q:~$ kontact
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
andersa@asusa6q:~$ WeaverThreadLogger: thread (ID: 1) suspended.
WeaverThreadLogger: thread (ID: 2) suspended.
WeaverThreadLogger: thread (ID: 3) suspended.
WeaverThreadLogger: thread (ID: 4) suspended.
Weaver dtor: destroying inventory.
WeaverThreadLogger: thread (ID: 1) destroyed.
WeaverThreadLogger: thread (ID: 2) destroyed.
WeaverThreadLogger: thread (ID: 3) destroyed.
WeaverThreadLogger: thread (ID: 4) destroyed.
Weaver dtor: done

Comment 5 Thomas Beinicke 2006-02-17 19:14:24 UTC
I believe that this bug has also been mention in other bug reports and I experience it as well.
For me it even happens when I forget to close kmail and shutdown my comp or just logout of KDE. Upon the login and start of kmail it will crash.
Comment 6 Jason Ahrens 2006-02-21 17:32:41 UTC
The exact same thing just happened to me. I shut down my system last night with KMail still running, and this morning it refused to start. Moving the indicated file away also 'fixed' the problem.
Comment 7 Anders E. Andersen 2006-02-21 17:44:10 UTC
Are you using IMAP folders as well?
Comment 8 Anders E. Andersen 2006-04-08 00:22:34 UTC
Another workaround: Just keep restarting kontact/kmail. Eventually it will start up fine.. It may take 10 trys or more. 
Comment 9 Guido Schmidt 2006-04-20 09:00:53 UTC
I start kmail directly, but the behavior is the same.

I found a single file to trigger the crash on my box (Linux 2.6.13-15.8-default x86_64, SUSE 10.0, KDE 3.5.2, german): ~/.kde/share/apps/kmail/search/Letzte SucheSjKfOa.new
It contains:

[Search Folder]
Base=
Recursive=true
contentsA=heirat
fieldA=<message>
funcA=contains
name=<unbenannt>
operator=or
rules=1

After removing this file kmail runs fine.
Comment 10 Iacopo 2006-04-27 14:04:18 UTC
*** This bug has been confirmed by popular vote. ***
Comment 11 Gabriel Ambuehl 2006-05-25 14:09:18 UTC
Workaround (for me, anyway): removing all *.index.* files (which doesn't remove any data, only cache files) fixes this. It's still annoying as hell though (especially if you're on a slow line with a big IMAP box ;).
Comment 12 acb 2006-06-04 02:32:45 UTC
I've been having the exact same problem (KMail 1.9.1, KDE 3.5.2, running Debian 4.0.2-5 with KMail package version 4:3.5.2-1+b2 for i386 and Linux 2.6.14.5). A symptom which I haven't seen mentioned here is that, after several crashes when KMail was finally up and running again, all the messages in my IMAP inbox (only root inbox, not subfolders) seemed empty. KMail would display the headers, but not the actual contents (neither in the pane, when opening the messages, nor when inspecting the message source). Removing a single .index file in ~/.kde/share/apps/kmail/imap solved both the problem with KMail crashing _and_ with the empty messages.
Comment 13 acb 2006-06-04 13:57:09 UTC
Sorry, forgot to add something: The crashes I experience do not only occur after a reboot initiated while KMail was running. I get a similar behavior when opening an OpenPGP-encrypted message and canceling the gpg-agent password-gathering daemon. I will be asked for the password a couple of times, and the second or third time I cancel, KMail will crash. The consequences of such a crash are similar to those of the other crashes described in this bug report. I will be happy to provide a trace and command line output if necessary.

I don't know if this is of any relevance, but the IMAP server for my account is Binc IMAP 1.2.13final.
Comment 14 Will Stephenson 2007-03-23 18:34:05 UTC
Anders: you were experiencing #96498, now fixed.
Comment 15 Björn Ruberg 2009-12-25 01:22:17 UTC
Is this still a problem in a recent kmail version?
Comment 16 Björn Ruberg 2010-04-06 00:24:55 UTC
No response. Closing old KDE 3 crash.